# Uses of Interface
org.stianloader.picoresolve.repo.MavenRepository

Packages that use MavenRepository
Package
Description
org.stianloader.picoresolve
org.stianloader.picoresolve.repo
Package storing repository, downloading and installation related classes.

## Uses of MavenRepository in org.stianloader.picoresolve

Methods in org.stianloader.picoresolve with parameters of type MavenRepository
Modifier and Type
Method
Description
`MavenResolver`
MavenResolver.`addRepositories(@NotNull MavenRepository @NotNull ... repos)`
`MavenResolver`
MavenResolver.`addRepository(@NotNull MavenRepository repo)`
Method parameters in org.stianloader.picoresolve with type arguments of type MavenRepository
Modifier and Type
Method
Description
`MavenResolver`
MavenResolver.`addRepositories(@NotNull Collection<@NotNull MavenRepository> repos)`
Constructor parameters in org.stianloader.picoresolve with type arguments of type MavenRepository
Modifier
Constructor
Description
``
`MavenResolver(@NotNull Path mavenLocal, @Nullable Collection<@NotNull MavenRepository> repos)`

## Uses of MavenRepository in org.stianloader.picoresolve.repo

Classes in org.stianloader.picoresolve.repo that implement MavenRepository
Modifier and Type
Class
Description
`class`
`URIMavenRepository`
Methods in org.stianloader.picoresolve.repo that return MavenRepository
Modifier and Type
Method
Description
`@Nullable MavenRepository`
RepositoryAttachedValue.`getRepository()`
Obtains the `MavenRepository` which is linked to the value.
Methods in org.stianloader.picoresolve.repo with parameters of type MavenRepository
Modifier and Type
Method
Description
`@NotNull MavenLocalRepositoryNegotiator`
MavenLocalRepositoryNegotiator.`addRepository(@NotNull MavenRepository remote)`
`@NotNull RepositoryNegotiatior`
RepositoryNegotiatior.`addRepository(@NotNull MavenRepository repo)`
Constructors in org.stianloader.picoresolve.repo with parameters of type MavenRepository
Modifier
Constructor
Description
``
`RepositoryAttachedValue(@Nullable MavenRepository repository, V value)`